From 130b5219b2fbe48f943ec6459ea28b3fca8bcce9 Mon Sep 17 00:00:00 2001
From: Balint Reczey <balint@balintreczey.hu>
Date: Fri, 8 Jan 2016 18:35:44 +0100
Subject: [PATCH] Support gnuhardened1 architecture

---
 debian/control                                        |  2 +-
 debian/patches/01_add_gnuhardened1_architecture.patch | 18 ++++++++++++++++++
 debian/rules                                          |  1 +
 3 files changed, 20 insertions(+), 1 deletion(-)
 create mode 100644 debian/patches/01_add_gnuhardened1_architecture.patch

diff --git a/debian/control b/debian/control
index a20ad52..f25239f 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: autotools-dev
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 7)
+Build-Depends: debhelper (>> 7), patch
 Build-Depends-Indep: perl
 Standards-Version: 3.9.5
 Homepage: http://savannah.gnu.org/projects/config/
diff --git a/debian/patches/01_add_gnuhardened1_architecture.patch b/debian/patches/01_add_gnuhardened1_architecture.patch
new file mode 100644
index 0000000..7e0c912
--- /dev/null
+++ b/debian/patches/01_add_gnuhardened1_architecture.patch
@@ -0,0 +1,18 @@
+Description: Detect compiler with hardened1 featureset enabled
+Forwarded: not-needed
+Author: Balint Reczey <balint@balintreczey.hu>
+
+diff --git a/config.guess b/config.guess
+index 1659250..8b3dbca 100755
+--- a/config.guess
++++ b/config.guess
+@@ -145,6 +145,8 @@ Linux|GNU|GNU/*)
+ 	LIBC=uclibc
+ 	#elif defined(__dietlibc__)
+ 	LIBC=dietlibc
++	#elif defined(__GNU_FEATURESET_HARDENED1__)
++	LIBC=gnuhardened1
+ 	#else
+ 	LIBC=gnu
+ 	#endif
+
diff --git a/debian/rules b/debian/rules
index e184dbb..3dd93a1 100755
--- a/debian/rules
+++ b/debian/rules
@@ -9,6 +9,7 @@ build: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	patch config.guess < debian/patches/01_add_gnuhardened1_architecture.patch
 	pod2man -c Debhelper debian/dh_autotools-dev_updateconfig  debian/dh_autotools-dev_updateconfig.1
 	pod2man -c Debhelper debian/dh_autotools-dev_restoreconfig debian/dh_autotools-dev_restoreconfig.1
 	touch build-stamp
-- 
2.1.4

